Include CSS in HTML
-Inline styling
-Internal styling
-external styling (reco)
*/

/*CSS Selector

/*Universal Selector(*) - targets all elements*/
	*{font-family: "Courier New",monospace;
		font-size: 20px;}
/*Type Selector(<tag name>)-targets elements with the specified type/tag name*/
h1{
	color: red !important;
		/*!important property override the specificyt rule*/ }		}
/*id selector(#id-name)-targets elements accdg to its id attribute;ideally used for targetting a unique element*/
#zuitt-motto{
	letter-spacing: 5px;
}
/*Class Selector(.class-name)-targets elements accdg to its class attribute;ideally used for multiple elemt at once*/
.offering-item {
	text-transform: uppercase;
}

/*Attribute Selector(tagname[attribute])- target elemnts with a specified elements attribute; used to target element with a certain attribute*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: pink;
}
/*adjacent selector*/
h3 + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector*/
#bootcamp-learning-list li{
	color: #FFCE30;
}

/*General sibling Selector*/
h2 ~ a{
	text-decoration: none;
}




/*CSS  Selector Combinators*/
/*Descendant Selector-seperated by white space.. matches all elem,ents that are desecendants of a specified element*/
/*
div p{
	background-color: red;
}*/
/*
#parent p {
	background-color: red;
}*/

/*Child Selector (>)- select all elements that are child of a specifeied e;lemetn*/
/*div > p {background-color: red;}*/

/*#parent > p {
	background-color: red;*/
}

/*General Sibling Selector (~)-select all elements that are next sibling*/
/*p ~ p {
	background-color: red;
}*/

/*p ~ section {
	background-color: red;
}*/

/*Adjacent Sibling Selector- very next sibling*/

/*p + p{ 
	background-color: red;}*/

/*div + p{
	background-color: darkred;
}